Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-SU-2017:2349-1: moderate: Security update for wireshark
openSUSE Security Update: Security update for wireshark
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2349-1
Rating: moderate
References: #1056248 #1056249 #1056251
Cross-References: CVE-2017-13765 CVE-2017-13766 CVE-2017-13767

Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for wireshark to version 2.2.9 fixes the following issues:

Minor vulnerabilities that could be used to trigger dissector crashes,
infinite loops,
or cause excessive use of memory resources by making Wireshark read
specially crafted packages from the network or a capture file:

* CVE-2017-13767: MSDP dissector infinite loop (boo#1056248)
* CVE-2017-13766: Profinet I/O buffer overrun (boo#1056249)
* CVE-2017-13765: IrCOMM dissector buffer overrun (boo#1056251)
* Further bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-2.2.9.html


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-995=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-995=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (x86_64):

wireshark-2.2.9-21.1
wireshark-debuginfo-2.2.9-21.1
wireshark-debugsource-2.2.9-21.1
wireshark-devel-2.2.9-21.1
wireshark-ui-gtk-2.2.9-21.1
wireshark-ui-gtk-debuginfo-2.2.9-21.1
wireshark-ui-qt-2.2.9-21.1
wireshark-ui-qt-debuginfo-2.2.9-21.1

- openSUSE Leap 42.2 (x86_64):

wireshark-2.2.9-14.13.1
wireshark-debuginfo-2.2.9-14.13.1
wireshark-debugsource-2.2.9-14.13.1
wireshark-devel-2.2.9-14.13.1
wireshark-ui-gtk-2.2.9-14.13.1
wireshark-ui-gtk-debuginfo-2.2.9-14.13.1
wireshark-ui-qt-2.2.9-14.13.1
wireshark-ui-qt-debuginfo-2.2.9-14.13.1


References:

https://www.suse.com/security/cve/CVE-2017-13765.html
https://www.suse.com/security/cve/CVE-2017-13766.html
https://www.suse.com/security/cve/CVE-2017-13767.html
https://bugzilla.suse.com/1056248
https://bugzilla.suse.com/1056249
https://bugzilla.suse.com/1056251


< Previous Next >
This Thread
  • No further messages